#!/bin/csh -f
#
# Created on 1/6/04 by M.Paolillo
# Cshell to create ACS psf with tinytim. Not tested with other detectors! 
# Tinytim must be installed and running as tiny1, tiny2, tiny3 
#
# Input:  1 detector, 2 chip, 3 xpos, 4 ypos, 5 filter, 6 spectrum,
#	  7 spectrum file, 8 psf size (arcsec), 9 PSF file rootname
#


if ($#argv < 9 | $1 == ^) then
 
  echo usage: source makeHSTpsf.csh ... \(parameters\)
 
  exit
endif

# Run Tiny1
/scisoft/bin/tiny1 tmp.par << EOT1 > makeHSTpsf.log
$1
$2
$3
$4
$5
$6
$7
$8
$9
EOT1

/scisoft/bin/tiny2 tmp.par >> makeHSTpsf.log

/scisoft/bin/tiny3 tmp.par >> makeHSTpsf.log
